CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

ObjectSortByPSOutput Property (ActiveX)

2023-1-3 09:52| 发布者: admin| 查看: 520| 评论: 0|来自: AutoCAD

摘要: 按 PostScript 输出顺序切换图形对象的排序。

按 PostScript 输出顺序切换图形对象的排序。

支持的平台:仅窗口

签名

工 务 局:

object.ObjectSortByPSOutput
对象

类型:数据库首选项

此属性适用的对象。

属性值

只读:

类型:布尔

  • True:启用按后脚本输出顺序排序。
  • False:禁用按后脚本输出顺序排序。

言论

此属性的初始值为。True

AutoCAD 最初仅允许对打印和 PostScript 输出进行排序。设置其他排序选项可能会导致再生和重绘时间变慢。

注意:此属性的值存储在 SORTENTS 系统变量中。

例子

工 务 局:

Sub Example_ObjectSortByPSOutput()
    ' This example reads and modifies the preference value which controls
    ' the sorting of drawing objects by PostScript output order.
    ' When finished, this example resets the preference value back to
    ' it's original value.
    
    Dim ACADPref As AcadDatabasePreferences
    Dim originalValue As Variant, newValue As Variant
    
    ' Get the user preferences object
    Set ACADPref = ThisDrawing.preferences
    
    ' Read and display the original value
    originalValue = ACADPref.ObjectSortByPSOutput
    MsgBox "The ObjectSortByPSOutput preference is set to: " & originalValue

    ' Modify the ObjectSortByPSOutput preference by toggling the value
    ACADPref.ObjectSortByPSOutput = Not (ACADPref.ObjectSortByPSOutput)
    newValue = ACADPref.ObjectSortByPSOutput
    MsgBox "The ObjectSortByPSOutput preference has been set to: " & newValue

    ' Reset the preference back to it's original value
    '
    ' * Note: Comment out this last section to leave the change to
    '         this preference in effect
    ACADPref.ObjectSortByPSOutput = originalValue
    MsgBox "The ObjectSortByPSOutput preference was reset back to: " & originalValue
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_ObjectSortByPSOutput()
    ;; This example reads and modifies the preference value which controls
    ;; the sorting of drawing objects by PostScript output order.
    ;; When finished, this example resets the preference value back to
    ;; it's original value.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))  
    (setq preferences (vla-get-Preferences doc))
    
    ;; Read and display the original value
    (setq originalValue (vla-get-ObjectSortByPSOutput preferences))
    (alert (strcat "The ObjectSortByPSOutput preference is set to: " (if (= originalValue :vlax-true) "True"  "False")))

    ;; Modify the ObjectSortByPSOutput preference by toggling the value
    (vla-put-ObjectSortByPSOutput preferences (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-ObjectSortByPSOutput preferences))
    (alert (strcat "The ObjectSortByPSOutput preference has been set to: " (if (= newValue :vlax-true) "True"  "False")))

    ;; Reset the preference back to it's original value
    ;;
    ;; * Note: Comment out this last section to leave the change to
    ;;         this preference in effect
    (vla-put-ObjectSortByPSOutput preferences originalValue)
    (alert (strcat "The ObjectSortByPSOutput preference was reset back to: " (if (= originalValue :vlax-true) "True"  "False")))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 03:50

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部